Arch: Armătură dreaptă

From FreeCAD Documentation
Revision as of 18:33, 26 November 2018 by Renatorivo (talk | contribs) (Created page with "Category:Arch/ro")

Arch Rebar Straight

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
UShape Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Descriere

Instrumentul Straight Rebarpoate permite utilizatorului să creeze o bară de armare dreaptă în elementul structural.

Cum se folosește

  1. Creați un element Structura structură
  2. Selectați orice față a structurii
  3. Apoi selectați Șipcă drept din uneltele pentru bare
  4. Un panou de activități va apărea în partea stângă a ecranului, după cum se arată mai jos
  5. Selectați orientarea dorită
  6. Dați intrările ca și capacul frontal, capacul lateral din dreapta, capacul lateral din stânga, capacul inferior și diametrul barei
  7. Selectați modul de distribuire fie cantitate, fie spațiere
  8. Dacă spațiul este selectat, un utilizator poate de asemenea să opteze pentru spacing custom
  9. Selectează fața selectată este utilizată pentru a verifica sau schimba fața pentru distribuția barei
  10. Faceți clic pe OK sau pe Apply pentru a genera barele de armare
  11. Faceți clic pe Cancel pentru a ieși din panoul de activități

Proprietăți

  • DateOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DateFront Cover: The distance between rebar and selected face.
  • DateRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DateLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DateCover along: These property facilities the user to specify either top or bottom cover.
  • DateBottom Cover: The distance between rebar from the bottom face of the structure.
  • DateTop Cover: The distance between rebar from the top face of the structure.
  • DateAmount: The amount of rebars.
  • DateSpacing: The distance between the axes of each bar.

Scripturi

Instrumentul Straight Rebar poate fi utilizat în macros și de la consola Python prin utilizarea următoarei funcții:

1. When orientation of straight rebar is horizontal:

makeStraightRebar(FrontCover, CoverAlong, RightCover, LeftCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)

Notă:

  • Tipul argumentului CoverAlonge este o tuplă. Sintaxă: (<Along>, <Value>). Aici avem o orientare orizontală, astfel încât să putem trece Top Side și Bottom Side la argumentele <Along>.

For eg. ("Top Side", 20) and ("Bottom Side", 20)

2. When orientation of straight rebar is vertical:

makeStraightRebar(FrontCover, CoverAlong, TopCover, BottomCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)

Note:

  • Type of CoverAlong argument is a tuple. Syntax: (<Along>, <Value>). Here we have vertical orientation so we can pass Left Side and Right Side to <Along> arguments.

For eg. ("Left Side", 20) and ("Right Side", 20)




  • Adaugă un obiect Straight reinforcing bar la obiectul structural dat.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returnează noul obiect Rebar.

Examplu: Crearea unei armături Straight rebar.

import Arch, StraightRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = StraightRebar.makeStraightRebar(20, ("Bottom Side", 20), 20, 20, 8, True, 10, "Horizontal", structure, "Face1")

Schimbarea proprietăților armăturii tip bară dreaptă.

import StraightRebar
StraightRebar.editStraightRebar(rebar, 25, ("Top Side", 20), 20, 20, 8, True, 10, "Horizontal")